package eqmvt;
/**
 * Classe permettant d'assigner diverses quations du mouvement et intgrales premires  la mthode "eqMvmt"  partir du patron InterfaceEqMvmt.
 *
 * @author Nicolas DELSATE
 * @version 08/12/2005
 * @since Projet Trois Corps 2006
 * @see InterfaceEqMvmt
 * @see EqMvmtPblmTroisCorps
 */
public class UsineEqMvmt {

   /**
    * @param fname Paramtre de choix de l'quation du mouvement ou de l'intgrale premire
    * @return Les quations de problme  rsoudre
    */
  static public InterfaceEqMvmt nouveau(String fname) {

    if(fname.equals("EqMvmtPblmTroisCorps")) { return new EqMvmtPblmTroisCorps(); }
    if(fname.equals("EqMvmtTestIntegrateur")) { return new EqMvmtTestIntegrateur(); }

    else {return new EqMvmtPblmTroisCorps(); }
  }
}
